Subject: Re: linux-next: manual merge of the drm tree with the drm-misc-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 21 Aug 2025 07:29:02 +1000

Hi Danilo,

On Wed, 20 Aug 2025 12:30:14 +0200 "Danilo Krummrich" <[email-masked]> wrote:
>
> I think this resolution doesn't compile, since attributes on expressions are
> behind an unstable feature flag.
> 
> I assume your config does not have CONFIG_DRM_NOVA={y,m}.
> 
> The resolution in [1] is the one I came up with in the drm-tip tree.
> 
> I should probably have given you a head-up on this conflict, sorry for that.
> 
> [1]
> 
> diff --cc drivers/gpu/drm/nova/file.rs
> index 4fe62cf98a23,7e7d4e2de2fb..90b9d2d0ec4a
> --- a/drivers/gpu/drm/nova/file.rs
> +++ b/drivers/gpu/drm/nova/file.rs
> @@@ -39,8 -36,7 +36,7 @@@ impl File
>               _ => return Err(EINVAL),
>           };
> 
> -         #[allow(clippy::useless_conversion)]
> -         getparam.set_value(value.into());
>  -        getparam.value = value;
> ++        getparam.value = Into::<u64>::into(value);
> 
>           Ok(0)
>       }
> 

Thanks for that.  I will use that resolution from now on.

-- 
Cheers,
Stephen Rothwell